{{ _self.menu_links(items, attributes, 0) }}

{% macro menu_links(items, attributes, menu_level) %}
  {% if items %}
    {% if menu_level == 0 %}
      <ul{{ attributes.addClass('main-menu-block') }}>
    {% else %}
      <ul class="menu">
    {% endif %}

    {% for item in items %}
      {% set classes = [
        'menu-item',
        item.is_expanded ? 'expanded',
        item.is_collapsed ? 'collapsed',
        item.in_active_trail ? 'active-trail',
      ] %}
      <li{{ item.attributes.addClass(classes) }}>
        {{ link(item.title, item.url) }}
        {% if item.below %}
          {{ _self.menu_links(item.below, attributes, menu_level + 1) }}
        {% endif %}
      </li>
    {% endfor %}
    </ul>
  {% endif %}
{% endmacro %}
